Classes | Namespaces | Functions
STOFFStarMathToMMLConverter.cxx File Reference
`#include <algorithm>`
`#include <cctype>`
`#include <functional>`
`#include <iostream>`
`#include <sstream>`
`#include <set>`
`#include "STOFFStarMathToMMLConverter.hxx"`

## Classes
struct | STOFFStarMathToMMLConverterInternal::LexerData
| a lexer data More...
struct | STOFFStarMathToMMLConverterInternal::Node
| a data node More...
class | STOFFStarMathToMMLConverterInternal::Parser
| class to parse a StarMath string More...

## Namespaces
namespace | STOFFStarMathToMMLConverterInternal
| namespace to define a basic lexer, parser

## Functions
static bool | STOFFStarMathToMMLConverterInternal::icmp (const std::string &str1, const std::string &str2)
| insenstive comparison
std::string | STOFFStarMathToMMLConverterInternal::toLower (std::string const &strToConvert)
std::string | STOFFStarMathToMMLConverterInternal::toUpper (std::string const &strToConvert)